1. Fabrik 3.9 has been released. If you have updated Joomla to 3.9, this is a required update.
    Dismiss Notice

Fusionchart plugin - HTTP ERROR 500

Discussion in 'Community' started by lucfit, May 7, 2021.

  1. lucfit

    lucfit New Member

    Level: Community
    Hi,

    Joomla! 3.9.26 Stable, Vista Fabrik - FusionChart 3.9.2

    I installed everything as per documentation, the package is in the lib folder, I created a view and selected the library into the graph attributes tab in my view.

    When I create a menu that points to this view, I get a blank page and this error: HTTP ERROR 500

    Anyone experienced this issue and found a solution?

    Thank you in adavance.
     
  2. troester

    troester Well-Known Member Staff Member

    Level: Community
    I have a test FusionChart running without problems.
    Try to set Joomla's error reporting to max and check in your browser console for JS errors. Maybe you'll get some more information.
     
    lucfit likes this.
  3. lucfit

    lucfit New Member

    Level: Community
    Hi, after setting the J error reporting to max, this is the error I get:

    Warning: require_once(/plugins/fabrik_visualization/fusionchart/vendor/autoload.php): failed to open stream: No such file or directory in /fabrik_visualization/fusionchart/models/fusionchart.php on line 21

    Any help?

    Thank you so much
     
  4. lucfit

    lucfit New Member

    Level: Community
    Hi Troester, I believe that I'm using a newer version of Fusionchart php libs.

    I tried to update the plugin as per latest GitHub update with no results.

    Which version of Fusionchart php libraries are you using please?

    TU
     
  5. troester

    troester Well-Known Member Staff Member

    Level: Community
    The FusionChart plugin has an issue which is fixed in GitHub
    https://github.com/Fabrik/fabrik/commit/a22c8d7bb2de03d7eb841cb27bdd62f2a0a9e270

    It's not enough to fix only the xml-file but you have to copy the complete 'vendor' folder (which is not copied during installation because of the xml).
    It should be ok if you unzip plg_fabrik_visualization_fusionchart_3.9.2.zip and get it from there.

    I tested with fusioncharts-suite-xt following the instructions.
     
    lucfit likes this.
  6. lucfit

    lucfit New Member

    Level: Community
    Hi troester. TU. This sorted out my issue. You're great.
     

Share This Page